Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xalan.templates
Class XUnresolvedVariable

    java.lang.Object
      |
      +--weblogic.apache.xpath.Expression
            |
            +--weblogic.apache.xpath.objects.XObject
                  |
                  +--weblogic.apache.xalan.templates.XUnresolvedVariable

public class XUnresolvedVariable
extends XObject

An instance of this class holds unto a variable until it is executed. It is used at this time for global variables which must (we think) forward reference.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

See Also:
  Serialized Form

Fields inherited from class weblogic.apache.xpath.objects.XObject
`CLASS_BOOLEAN, CLASS_NODESET, CLASS_NULL, CLASS_NUMBER, CLASS_RTREEFRAG, CLASS_STRING, CLASS_UNKNOWN, CLASS_UNRESOLVEDVARIABLE, m_obj`

Fields inherited from class weblogic.apache.xpath.Expression
`m_slocator`

Constructor Summary
`XUnresolvedVariable(ElemVariable obj, int sourceNode, TransformerImpl transformer, int varStackPos, int varStackContext, boolean isGlobal)` Create an XUnresolvedVariable, that may be executed at a later time.

Method Summary
`XObject` | `execute(XPathContext xctxt)` For support of literal objects in xpaths.
`int` | `getType()` Tell what kind of class this is.
`java.lang.String` | `getTypeString()` Given a request type, return the equivalent string.
`void` | `setVarStackContext(int bottom)` Set an index into the variable stack where the variable context ends, i.e.
`void` | `setVarStackPos(int top)` Set an index to the point in the variable stack where we should begin variable searches for evaluation of expressions.

Methods inherited from class weblogic.apache.xpath.objects.XObject
`allowDetachToRelease, appendToFsb, bool, boolWithSideEffects, castToType, create, create, destruct, detach, dispatchCharactersEvents, equals, error, error, fixupVariables, greaterThan, greaterThanOrEqual, iter, lessThan, lessThanOrEqual, mutableNodeset, nodelist, nodeset, notEquals, num, numWithSideEffects, object, rtf, rtf, rtree, rtree, str, toString, xstr`

Methods inherited from class weblogic.apache.xpath.Expression
`asIterator, asNode, assertion, bool, canTraverseOutsideSubtree, error, execute, execute, executeCharsToContentHandler, isNodesetExpr, isStableNumber, num, setSourceLocator, warn, xstr`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XUnresolvedVariable

    public XUnresolvedVariable(ElemVariable obj,
                               int sourceNode,
                               TransformerImpl transformer,
                               int varStackPos,
                               int varStackContext,
                               boolean isGlobal)

  Create an XUnresolvedVariable, that may be executed at a later time. This is primarily used so that forward referencing works with global variables. An XUnresolvedVariable is initially pushed into the global variable stack, and then replaced with the real thing when it is accessed.

  Parameters:
    `obj` - Must be a non-null reference to an ElemVariable.
    `sourceNode` - The node context for execution.
    `transformer` - The transformer execution context.
    `varStackPos` - An index to the point in the variable stack where we should begin variable searches for evaluation of expressions.
    `varStackContext` - An index into the variable stack where the variable context ends, i.e. at the point we should terminate the search.
    `isGlobal` - true if this is a global variable.

Method Detail

### execute

    public XObject execute(XPathContext xctxt)
                    throws javax.xml.transform.TransformerException

  For support of literal objects in xpaths.

  Parameters:
    `xctxt` - The XPath execution context.
  Returns:
    This object.
  Throws:
    javax.xml.transform.TransformerException -
  Overrides:
    execute in class XObject

### setVarStackPos

    public void setVarStackPos(int top)

  Set an index to the point in the variable stack where we should begin variable searches for evaluation of expressions. This is -1 if m_isTopLevel is false.

  Parameters:
    `top` - A valid value that specifies where in the variable stack the search should begin.

### setVarStackContext

    public void setVarStackContext(int bottom)

  Set an index into the variable stack where the variable context ends, i.e. at the point we should terminate the search.

  Parameters:
    `The` - point at which the search should terminate, normally zero for global variables.

### getType

    public int getType()

  Tell what kind of class this is.

  Returns:
    CLASS_UNRESOLVEDVARIABLE
  Overrides:
    getType in class XObject

### getTypeString

    public java.lang.String getTypeString()

  Given a request type, return the equivalent string. For diagnostic purposes.

  Returns:
    An informational string.
  Overrides:
    getTypeString in class XObject

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference